Public Member Functions | Static Public Member Functions | List of all members
StarEncodingChinese Class Reference

the main class to read/. More...

`#include <StarEncodingChinese.hxx>`

## Public Member Functions
| StarEncodingChinese ()
| constructor
virtual | ~StarEncodingChinese ()
| destructor

## Static Public Member Functions
static bool | readChinese1 (std::vector< uint8_t > const &src, size_t &pos, StarEncoding::Encoding encoding, std::vector< uint32_t > &dest)
| try to read a caracter and add it to string: E_GBK, E_GB_2312, E_EUC_CN, E_GBT_12345, E_MS_936 and E_APPLE_CHINSIMP

## Detailed Description

the main class to read/.

. some Chinese encoding in StarOffice documents

## Constructor & Destructor Documentation

## ◆ StarEncodingChinese()

StarEncodingChinese::StarEncodingChinese | ( |  | ) |

constructor

## ◆ ~StarEncodingChinese()

StarEncodingChinese::~StarEncodingChinese | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ readChinese1()

bool StarEncodingChinese::readChinese1 | ( | std::vector< uint8_t > const & | src,
|  | size_t & | pos,
|  | StarEncoding::Encoding | encoding,
|  | std::vector< uint32_t > & | dest )
| static

try to read a caracter and add it to string: E_GBK, E_GB_2312, E_EUC_CN, E_GBT_12345, E_MS_936 and E_APPLE_CHINSIMP

Referenced by StarEncoding::read().

The documentation for this class was generated from the following files:

- StarEncodingChinese.hxx
- StarEncodingChinese.cxx